#
# spec file for package gnome-autoar
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-autoar
Version:        0.2.2
Release:        2.1
Summary:        Automatic archives creating and extracting library
License:        LGPL-2.0+
Group:          System/GUI/GNOME
Url:            https://git.gnome.org/browse/gnome-autoar
Source:         https://download.gnome.org/sources/gnome-autoar/0.2/%{name}-%{version}.tar.xz
# PATCH-SLE gnome-autoar-disable-encrypted-archives.patch federico@suse.com - Disable encrypted archives to avoid bumping our libarchive version
Patch1:         gnome-autoar-disable-encrypted-archives.patch
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  gnome-common
BuildRequires:  gobject-introspection-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gio-2.0) >= 2.35.6
BuildRequires:  pkgconfig(glib-2.0) >= 2.35.6
BuildRequires:  pkgconfig(gobject-2.0) >= 2.35.6
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.2
BuildRequires:  pkgconfig(libarchive) >= 3.1.2
BuildRequires:  pkgconfig(vapigen)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
gnome-autoar provides functions, widgets, and gschemas for GNOME applications which want
to use archives as a method to transfer directories over the Internet.

%package -n libgnome-autoar-0-0
Summary:        Automatic archives creating and extracting library
Group:          System/Libraries
Obsoletes:      gnome-autoar-schema

%description -n libgnome-autoar-0-0
gnome-autoar provides functions, widgets, and gschemas for GNOME applications which want
to use archives as a method to transfer directories over the Internet.

%package -n libgnome-autoar-gtk-0-0
Summary:        Automatic archives creating and extracting library
Group:          System/Libraries

%description -n libgnome-autoar-gtk-0-0
gnome-autoar provides functions, widgets, and gschemas for GNOME applications which want
to use archives as a method to transfer directories over the Internet.

%package -n typelib-1_0-GnomeAutoar-0_1
Summary:        Automatic archives creating and extracting library -- Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-GnomeAutoar-0_1
gnome-autoar provides functions, widgets, and gschemas for GNOME applications which want
to use archives as a method to transfer directories over the Internet.

%package -n typelib-1_0-GnomeAutoarGtk-0_1
Summary:        Automatic archives creating and extracting library -- Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-GnomeAutoarGtk-0_1
gnome-autoar provides functions, widgets, and gschemas for GNOME applications which want
to use archives as a method to transfer directories over the Internet.

%package devel
Summary:        Automatic archives creating and extracting library
Group:          Development/Languages/C and C++
Requires:       libgnome-autoar-0-0 = %{version}
Requires:       libgnome-autoar-gtk-0-0 = %{version}
Requires:       typelib-1_0-GnomeAutoar-0_1 = %{version}
Requires:       typelib-1_0-GnomeAutoarGtk-0_1 = %{version}

%description devel
gnome-autoar provides functions, widgets, and gschemas for GNOME applications which want
to use archives as a method to transfer directories over the Internet.

This package brings files required to develop against gnome-autoar

%prep
%setup -q
%patch1 -p1

%build
autoreconf -fiv
%configure \
    --disable-static \
    --enable-gtk
make %{?_smp_mflags}

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install
find %{buildroot} -type f -name "*.la" -delete -print

%post   -n libgnome-autoar-0-0 -p /sbin/ldconfig
%postun -n libgnome-autoar-0-0 -p /sbin/ldconfig
%post   -n libgnome-autoar-gtk-0-0 -p /sbin/ldconfig
%postun -n libgnome-autoar-gtk-0-0 -p /sbin/ldconfig

%files devel
%defattr(-,root,root)
%{_includedir}/gnome-autoar-0/
%{_libdir}/libgnome-autoar-0.so
%{_libdir}/libgnome-autoar-gtk-0.so
%{_libdir}/pkgconfig/gnome-autoar-0.pc
%{_libdir}/pkgconfig/gnome-autoar-gtk-0.pc
%{_datadir}/gir-1.0/GnomeAutoar-0.1.gir
%{_datadir}/gir-1.0/GnomeAutoarGtk-0.1.gir
%{_datadir}/gtk-doc/html/%{name}/
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/gnome-autoar-0.vapi
%{_datadir}/vala/vapi/gnome-autoar-gtk-0.vapi

%files -n typelib-1_0-GnomeAutoar-0_1
%defattr(-,root,root)
%{_libdir}/girepository-1.0/GnomeAutoar-0.1.typelib

%files -n typelib-1_0-GnomeAutoarGtk-0_1
%defattr(-,root,root)
%{_libdir}/girepository-1.0/GnomeAutoarGtk-0.1.typelib

%files -n libgnome-autoar-0-0
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libgnome-autoar-0.so.0
%{_libdir}/libgnome-autoar-0.so.0.0.0

%files -n libgnome-autoar-gtk-0-0
%defattr(-,root,root)
%{_libdir}/libgnome-autoar-gtk-0.so.0
%{_libdir}/libgnome-autoar-gtk-0.so.0.0.0

%changelog
* Tue Jun 13 2017 federico@suse.com
- Add gnome-autoar-disable-encrypted-archives.patch.  This patch is
  just for SLE; it disables detection of encrypted archives, as the
  version of libarchive in SLE does not have the necessary API yet.
- Require libarchive 0.1.2, which is already in SLE; don't require
  3.2.0.
* Tue Mar 21 2017 dimstar@opensuse.org
- Update to version 0.2.2:
  + Fix docx files and other format subtypes of zip to be
    uncompressed.
* Fri Mar  3 2017 zaitor@opensuse.org
- Update to version 0.2.1:
  + Drop rar support since rar5 is not yet supported by libarchive.
* Thu Feb 23 2017 zaitor@opensuse.org
- Update to version 0.2.0:
  + Generate vala bindings.
  + Check encrypted entry after header is read.
  + Fix extraction name case, e.j.'sample.odt' in 'sample.odt.zip'.
  + Remove GSettings schema files.
- Add pkgconfig(vapigen) BuildRequires: New dependency for vala
  bindings.
- Pass --enable-gtk to configure, ensure we build gtk3 widgets.
- Drop gnome-autoar-schema subpackage and add gnome-autoar-schema
  Obsoletes replacing previous Requires, following upstream
  changes.
* Fri Sep  2 2016 zaitor@opensuse.org
- Updated to version 0.1.1:
  + Fix library link issues for Evolution.
  + Make decide destination signal synchronous for Evolution.
  + Fix licence to LGPLv2.1+.
* Thu Sep  1 2016 zaitor@opensuse.org
- Update to version 0.1.0:
  + Bump required libarchive version.
  + AutoarExtractor: signal error on encrypted archives.
  + Add COPYING file.
  + tests: Add missing linker flags.
- Stop using sourceservice, tarball release now available.
- Following the above: gnome-common BuildRequires and autogen.sh
  call: We no longer need to bootstrap.
* Wed Aug 31 2016 dimstar@opensuse.org
- Initial package, version 0+20160825.0fec26d (no tagged release
  yet available in git).
